from src.variables.service import get_variable, set_variable
from gpiozero import Button
import datetime


reader = Button(4)
set_variable("speed_reader_last_impulse_time", datetime.datetime.now(), False)


def event():
    actual = datetime.datetime.now()
    last = get_variable("speed_reader_last_impulse_time")
    difference = (actual - last).total_seconds()

    if difference != 0:
        return
    
    print(difference)




reader.when_pressed = event